module dso_mod

implicit none
contains
!======================================================================
subroutine owdso(wgcig,n1,n2,o2,d2,n3)
real						:: wgcig(:,:,:),h
integer						:: ix,ish,iz
integer                                                     :: n1,n2,n3,n4
real                                                        :: d1,d2,d3,d4,o1,o2,o3,o4

write(0,*) n1,n2,n3
write(0,*) d2
write(0,*) o2

do ish=1,n2
   h=(ish-1)*d2+o2
   h=abs(h/((n2-1)*d2+o2))
   wgcig(:,ish,:)=wgcig(:,ish,:)*h
end do
end subroutine
end module
